#include <iostream>

using namespace std;

int main()
{
    unsigned long long int t;
    unsigned long long int a[10000];
    unsigned long long int b[10000];
    cin >> t;
    for(int i=0;i<t;++i)
    {
        cin >> a[i] >> b[i];
    }
    for(int i=0;i<t;++i)
    {
        cout << -1;
    }
    
    return 0;
}